//
//  BuscarMedicoController.h
//  iCMED
//
//  Created by Jose on 01/03/13.
//  Copyright (c) 2013 Jose Mariano Garcia Luengo. All rights reserved.
//
#import <UIKit/UIKit.h>

@interface BuscarMedicoController : UIViewController <UIPickerViewDelegate,UIPickerViewDataSource> {
    __weak IBOutlet UIPickerView *statePicker;
    __weak IBOutlet UIPickerView *cityPicker;
    __weak IBOutlet UIPickerView *especPicker;
 
}

@property NSError* __autoreleasing*        error;

@property NSInteger userCode;
@property NSInteger userType;

@property NSArray *stateArray;
@property NSArray *cityArray;
@property NSArray *especArray;
    
    
@property NSURL *url;
@property NSData *urlData;
@property NSDictionary *dict;
    
@property NSString *web;
   
@property NSInteger state;
@property NSInteger city;
@property NSInteger espec;

@property (weak, nonatomic) IBOutlet UITextField *stateText;
@property (weak, nonatomic) IBOutlet UITextField *cityText;
@property (weak, nonatomic) IBOutlet UITextField *especText;

@property (weak, nonatomic) IBOutlet UIButton *searchButton;

@end
