//
//  Comun.m
//  iCMED
//
//  Created by Jose Mariano Garcia Luengo on 01/03/13.
//  Copyright (c) 2013 Jose Mariano Garcia Luengo. All rights reserved.
//
#import "Comun.h"
#import "CommonCrypto/CommonDigest.h"

@implementation Comun

NSString* const WEB_TFC = @"http://192.168.0.100/~jmluengo/iCMED/consulta_Mysql.php?accion=";
//NSString* const WEB_TFC = @"http://localhost/~jmluengo/iCMED/consulta_Mysql.php?accion=";
//NSString* const WEB_TFC = @"http://jmgluengo.dyndns-at-home.com/~jmluengo/iCMED/consulta_Mysql.php?accion=";

+ (NSString *) md5:(NSString *) input
{
    @try {
        const char *cStr = [input UTF8String];
        unsigned char digest[16];
        
        CC_MD5( cStr, strlen(cStr), digest ); // This is the md5 call
        
        NSMutableString *output = [NSMutableString stringWithCapacity:CC_MD5_DIGEST_LENGTH * 2];
        
        for(int i = 0; i < CC_MD5_DIGEST_LENGTH; i++)
            [output appendFormat:@"%02x", digest[i]];
        
        return  output;
    }
    @catch (NSException *e) {
        NSLog(@"Excepción en Comun.md5: %@", e);
    }
}

+ (void) showAlert:(NSString *) alerta withTitle:(NSString *) titulo andButton:(NSString *) boton {
    UIAlertView *alert = [[UIAlertView alloc]
                          initWithTitle:titulo
                          message:alerta
                          delegate:nil
                          cancelButtonTitle:boton
                          otherButtonTitles:nil, nil];
    
    [alert show];
}

+ (void) showAlert:(NSString *) alerta {
    UIAlertView *alert = [[UIAlertView alloc]
                          initWithTitle:@"ERROR"
                          message:alerta
                          delegate:nil
                          cancelButtonTitle:@"Aceptar"
                          otherButtonTitles:nil, nil];
    
    [alert show];
}

@end
